<?php

	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header.php';
	if($game==0 OR $level==0 OR $ban!=0){
	echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	$met=$_GET['id'];
	$s = mysql_query("SELECT * FROM `sector_loc` WHERE `id`='".check(mysql_real_escape_string($met))."'");
	$k = mysql_fetch_array($s);
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".$k['planet']."'");
	$f = mysql_fetch_array($q);
	if($k['loc']==3 AND $k['planet']==$f['id'] ){
	switch ($act) {
	default:
	echo '<div class="top"><a href="sector.php?x='.$k['x'].'&amp;y='.$k['y'].'"><img src="../images/space/l'.$k['type'].'.jpg" alt="" /></a> '.met($k['type']).'</div>';
	echo '<div class="conts">Планета: <a href="planet.php?act=pl&amp;p='.$f['id'].'">'.$f['name'].'</a><br/>
	Координаты: x:'.$k['x'].' y:'.$k['y'].'<br/>
	Падение через '. intval(($k['time']-$realtime)/60) .' минут</div>';
	echo '<div class="conts">Потери при падении: '.($k['type']*10).'% населения<br/>Обломки при перехвате: '.($k['type']*100).'-'.($k['type']*150).' ед.</div>';
	echo '<div class="conts">';
	if($rasa==1)echo '<img src="../images/rt.jpg" alt="image" /> В наличии '.$f['raket'].' ракет «Гончая»<br/>';
	if($rasa==2)echo '<img src="../images/rp.jpg" alt="image" /> В наличии '.$f['raket'].' Псионных зарядов<br/>';
	if($rasa==3)echo '<img src="../images/rz.jpg" alt="image" /> В наличии '.$f['raket'].' Кислотных бомб<br/>';
	if($f['raket']>0)echo '<a href="?act=ataka&amp;id='.$k['id'].'">Перехватить</a>';
	if($f['raket']==0)echo 'Вы не можете перехватить данный обьект';
	echo '</div>';
	break;
	case 'ataka':
	if($f['raket']>0){
	echo '<div class="top"><img src="../images/space/l'.$k['type'].'.jpg" alt="" /> '.met($k['type']).' разрушен(а)!</div><div class="conts">';
	if($rasa==1)echo '<img src="../images/rt.jpg" alt="image" /> Использована 1 ракета «Гончая»<br/>';
	if($rasa==2)echo '<img src="../images/rp.jpg" alt="image" /> Использован 1 Псионный заряд<br/>';
	if($rasa==3)echo '<img src="../images/rz.jpg" alt="image" /> Использована 1 Кислотная бомба<br/>';
	$obl=rand(($k['type']*100), ($k['type']*150));
	$oblwater=rand(($k['type']*500), ($k['type']*800));
	echo '<img src="../images/water.png" alt="" /> Вы получили +'.$oblwater.' ед. воды<br/>На орбите планеты <a href="planet.php?act=pl&amp;p='.$f['id'].'">'.$f['name'].'</a> образовано + '.$obl.' ед. обломков';
	echo '</div>';
	mysql_query("UPDATE `planet` SET `raket`=raket-1, `obl`=obl+$obl WHERE `id` = '".$f['id']."';");
	mysql_query("UPDATE `users` SET `water`=water+$oblwater WHERE `id` = '".$use_id."';");
	mysql_query("DELETE FROM `sector_loc` WHERE `id` = '".$k['id']."';");
	}
	break;
	}
	echo '<div class="blok"><a href="planet.php"><b>Назад</b></a></div>';
}}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>